aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xkiss18
1 files changed, 2 insertions, 16 deletions
diff --git a/kiss b/kiss
index 549f87b..9425e9e 100755
--- a/kiss
+++ b/kiss
@@ -502,18 +502,8 @@ pkg_build() {
# Move to the build directory.
cd "$mak_dir/$pkg"
- # Call the build script and create a temporary file on error.
- # This is the simplest way to mimic "pipefail" in POSIX sh as
- # you cannot exit from within a pipe.
- { "$repo_dir/build" "$pkg_dir/$pkg" || :> err; } 2>&1 | tee log
-
- # If the file exists the build errored, die here and save the log.
- [ -f err ] && {
- cp -f log "$log_dir/$pkg-$date.log"
-
- die "[$pkg] Build failed" \
- "[$pkg] Build log saved to '$log_dir/$pkg-$date.log'"
- }
+ # Call the build script.
+ "$repo_dir/build" "$pkg_dir/$pkg" || die "[$pkg] Build failed"
# Copy the repository files to the package directory.
# This acts as the database entry.
@@ -1095,9 +1085,6 @@ main() {
# variable is ever changed.
old_ifs=$IFS
- # Store the current date and time for build error logs.
- date=$(date +%Y-%m-%d-%H:%M)
-
# Catch errors and ensure that build files and directories are cleaned
# up before we die. This occurs on 'Ctrl+C' as well as success and error.
trap pkg_clean EXIT INT
@@ -1110,7 +1097,6 @@ main() {
"${tar_dir:=$cac_dir/extract-$pid}" \
"${src_dir:=$cac_dir/sources}" \
"${bin_dir:=$cac_dir/bin}" \
- "${log_dir:=$cac_dir/logs}" \
|| die "Couldn't create cache directories"
args "$@"